Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Log_Msg_Backend Class Reference

Define the interface for ACE_Log_Msg backend strategies. More...

`#include <Log_Msg_Backend.h>`

Inheritance diagram for ACE_Log_Msg_Backend

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Log_Msg_Backend (void)
| No-op virtual destructor.
virtual int | open (const ACE_TCHAR *logger_key) = 0
| Open a new connection.
virtual int | reset (void) = 0
virtual int | close (void) = 0
| Close the backend completely.
virtual int | log (ACE_Log_Record &log_record) = 0
| Backend routine. This is called when we want to log a message. Since this routine is pure virtual, it must be overwritten by the subclass.

## Detailed Description

Define the interface for ACE_Log_Msg backend strategies.

The ACE_Log_Msg class can log to multiple backend strategies, for example, some send messages to a remote logger, others dump to a file, or simply to stderr. In the future we could define interfaces that log to the syslog daemon (on UNIX), the Event log (on NT) a temporary ring buffer, etc.

## Constructor & Destructor Documentation

ACE_Log_Msg_Backend::~ACE_Log_Msg_Backend ( | void )`[inline, virtual]`

| No-op virtual destructor.

## Member Function Documentation

int ACE_Log_Msg_Backend::close ( | void )`[pure virtual]`

| Close the backend completely. Reimplemented in ACE_Log_Msg_IPC, and ACE_Log_Msg_NT_Event_Log.

int ACE_Log_Msg_Backend::log ( | ACE_Log_Record & log_record )`[pure virtual]`

| Backend routine. This is called when we want to log a message. Since this routine is pure virtual, it must be overwritten by the subclass. Reimplemented in ACE_Log_Msg_IPC, and ACE_Log_Msg_NT_Event_Log.

int ACE_Log_Msg_Backend::open ( | const ACE_TCHAR * logger_key )`[pure virtual]`

| Open a new connection. Reimplemented in ACE_Log_Msg_IPC, and ACE_Log_Msg_NT_Event_Log.

virtual int ACE_Log_Msg_Backend::reset ( | void )`[pure virtual]`

| Reimplemented in ACE_Log_Msg_IPC, and ACE_Log_Msg_NT_Event_Log.

The documentation for this class was generated from the following files:

- Log_Msg_Backend.h
- Log_Msg_Backend.cpp